import { useSession } from '@userspace-auth/core'

export function AuthorizedWebComponent ({ children, ...props }) {
  const { data: session, error, isLoading } = useSession()
  if (isLoading) return null
  if (error || !session) return null
  return children
}

export function NonAuthorizedWebComponent ({ children, ...props }) {
  const { data: session, error, isLoading } = useSession()
  if (isLoading) return null
  if (session && !error) return null
  return children
}
