import { getAvatar, useProfile } from '@userspace-auth/core'
import WebComponent from './WebComponent'

export function BadgeWebComponent (props) {
  return (
    <WebComponent component='badge' {...props}>
      <Badge />
    </WebComponent>
  )
}

export function Badge () {
  const { profile } = useProfile()
  const { email } = profile || {}
  const { name, picture } = getAvatar(profile)

  return (
    <div className='overflow-hidden relative min-w-0 max-w-sm mx-auto bg-base shadow-lg ring-1 ring-black/5 rounded-xl flex items-center justify-normal gap-6 dark:highlight-white/5'>
      <img className='absolute -left-6 size-24 rounded-full shadow-lg' src={picture} referrerpolicy='no-referrer' />
      <div className='flex-1 flex flex-col py-5 pl-24 pr-4 min-w-0'>
        <strong className='block text-content text-sm font-medium truncate w-full'>{name}</strong>
        <span className='block text-content-2 text-sm truncate w-full'>{email}</span>
      </div>
    </div>
  )
}
