import {
  useInviteUser,
  Email,
  ErrorMessage,
  ModalForm
} from '@userspace-auth/core'

import { useModal } from './useModal'

const FormId = 'invite'

export const useInviteModal = useModal

export function InviteUser ({ modal }) {
  const { open, closeModal } = modal
  const { inviteUser } = useInviteUser()

  const inviteHandler = async (data) => {
    return inviteUser(data).then(closeModal)
  }

  return (
    <ModalForm
      formId={FormId}
      open={open}
      onClose={closeModal}
      title='Invite user'
      description='Invite a user to your network by entering their email address below'
      submitText='Invite'
      onSubmit={inviteHandler}
    >
      <Email focus />
      <ErrorMessage />
    </ModalForm>
  )
}
