import { Modal } from '@userspace-auth/core'
import { Settings } from '../Settings'
import { useModal } from './useModal'

export const useSettingsModal = useModal

export function SettingsModal ({ modal }) {
  const { open, hideClose, closeModal } = modal

  return (
    <Modal
      mode='view'
      open={open}
      hideClose={hideClose}
      onClose={closeModal}
      className=''
    >
      <Settings padding='inner' modal={modal} />
    </Modal>
  )
}
