import { useState } from 'react'

export const useModal = () => {
  const [state, setState] = useState({ open: false, hideClose: true })

  const openModal = (params) => setState({ open: true, ...params })
  const closeModal = () => setState({ open: false, hideClose: true })
  const setParam = (param) => setState({ ...state, ...param })

  const hideCloseButton = () => setState({ ...state, hideClose: true })
  const showCloseButton = () => setState({ ...state, hideClose: false })

  return {
    ...state,
    openModal,
    closeModal,
    setParam,
    hideCloseButton,
    showCloseButton
  }
}
